io.vertx.rxjava.ext.unit

## Class TestCompletion

- java.lang.Object
- - io.vertx.rxjava.ext.unit.Completion<Void>
  - - io.vertx.rxjava.ext.unit.TestCompletion

-     public class TestCompletion
      extends Completion<Void>

  This object provides callback-ability for the end of a test suite, the completion succeeds when all tests pass otherwise it fails.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestCompletion(TestCompletion delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDelegate()`
    `void` | `handler(Handler<AsyncResult<Void>> completionHandler)` Completion handler to receive a completion signal when this completions completes.
    `Observable<Void>` | `handlerObservable()` Completion handler to receive a completion signal when this completions completes.
    `static TestCompletion` | `newInstance(TestCompletion arg)`
    `void` | `resolve(Future<Void> future)` Completes the future upon completion, otherwise fails it.

    - ### Methods inherited from class io.vertx.rxjava.ext.unit.Completion

      `await, await, awaitSuccess, awaitSuccess, isCompleted, isFailed, isSucceeded, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestCompletion

          public TestCompletion(TestCompletion delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Overrides:
        `getDelegate` in class `Completion<Void>`

    - #### resolve

          public void resolve(Future<Void> future)

      Completes the future upon completion, otherwise fails it.
      Overrides:
        `resolve` in class `Completion<Void>`
      Parameters:
        `future` - the future to resolve

    - #### handler

          public void handler(Handler<AsyncResult<Void>> completionHandler)

      Completion handler to receive a completion signal when this completions completes.
      Overrides:
        `handler` in class `Completion<Void>`
      Parameters:
        `completionHandler` - the completion handler

    - #### handlerObservable

          public Observable<Void> handlerObservable()

      Completion handler to receive a completion signal when this completions completes.
      Overrides:
        `handlerObservable` in class `Completion<Void>`
      Returns:

    - #### newInstance

          public static TestCompletion newInstance(TestCompletion arg)

Copyright © 2016. All rights reserved.